# Onecompileman-jenkins-ng-lint-report

[![N|Solid](https://image.ibb.co/j5ZJcH/onecompileman_logo.jpg)]()

Onecompileman-jenkins-ng-lint-report is a [Node.js](https://nodejs.org/) CLI library for [Angular](https://angular.io) that converts ng-lint JSON file to HTML generated after linting the **Angular** project:

### Tech

Onecompileman-jenkins-ng-lint-report uses a number of open source projects to work properly:


* [node.js](https://nodejs.org/) - evented I/O for the backend
* [minimist](https://github.com/substack/minimist) - `node.js` argument parser
* [chalk](https://www.npmjs.com/package/chalk) - colorize the output

### Installation

Onecompileman-Angular4-CLI requires [Node.js](https://nodejs.org/) v8.8+ to run.

```sh
$ npm install -g onecompileman-jenkins-ng-lint-report
```
## Commands 

In your `Jenkins` Job Configuration add this following shell commands, this will generate a folder of report in the `workstation` with the format of {build-number}-report.html:

```sh
$ npm install
$ npm install -g onecompileman-jenkins-ng-lint-report@latest
$ ng set --global warnings.versionMismatch=false // Removes warning
$ ng lint --format json > report.json
$ ocm-report --app APP-NAME --jenkins reports  --build ${BUILD_NUMBER} 
```